Commit 9e43e23c authored by Alexandros Georgantas's avatar Alexandros Georgantas

Merge branch 'new-wax' into 'staging'

New wax

See merge request !124
parents 82d2701e 4c5884e6
......@@ -2,6 +2,16 @@
All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.
<a name="1.3.2"></a>
## [1.3.2](https://gitlab.coko.foundation/editoria/editoria/compare/v1.3.1...v1.3.2) (2018-11-26)
### Bug Fixes
* use of the correct function's name ([82d2701](https://gitlab.coko.foundation/editoria/editoria/commit/82d2701))
<a name="1.3.1"></a>
## 1.3.1 (2018-11-20)
......
......@@ -74,7 +74,7 @@ cd packages/editoria-app
```
Create a `config/local-development.json` file.
Edit that to enter your database secret, as well as to connect to [INK](https://gitlab.coko.foundation/INK/ink-api).
Edit that to enter your database secret as well as placeholders for INK credentials [INK](https://gitlab.coko.foundation/INK/ink-api).
In this file, add the following:
```json
{
......@@ -91,10 +91,11 @@ In this file, add the following:
}
}
```
INK credentials are optional, you don't need them to run Editoria, you will just not be able to upload Word (docx) files.
We recommend using a demo instance of INK hosted by Coko in your initial Editoria setup. Please contact the team on https://mattermost.coko.foundation/coko/channels/editoria in order to get the required credentials and information.
If you do wish to use INK we recommend using a demo instance of INK hosted by Coko in your initial Editoria setup. Please contact the team on https://mattermost.coko.foundation/coko/channels/editoria in order to get the required credentials and information.
If you do want to run your own instance of [INK](https://gitlab.coko.foundation/INK/ink-api), be sure that:
If you want to run your own instance of [INK](https://gitlab.coko.foundation/INK/ink-api), be sure that:
* the `<your-ink-api-endpoint>` in `local-development.json` ends with a trailing slash
* if INK is running as a service on a port, ensure it is on port `3000`
* If INK and Editoria are on the same server, Editoria should be set to run on another port than `3000`, AND the `postgres` docker component for INK should run on a different port (`4321` instead of `5432`for instance).
......
......@@ -48,7 +48,7 @@
"commitmsg": "commitlint -e $GIT_PARAMS",
"release": "standard-version"
},
"version": "1.3.1",
"version": "1.3.2",
"config": {
"commitizen": {
"path": "./node_modules/cz-conventional-changelog"
......
......@@ -3,6 +3,17 @@
All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.
<a name="0.1.4"></a>
## [0.1.4](https://gitlab.coko.foundation/editoria/editoria-dashboard/compare/pubsweet-component-editoria-dashboard@0.1.3...pubsweet-component-editoria-dashboard@0.1.4) (2018-11-26)
### Bug Fixes
* use of the correct function's name ([82d2701](https://gitlab.coko.foundation/editoria/editoria-dashboard/commit/82d2701))
<a name="0.1.3"></a>
## [0.1.3](https://gitlab.coko.foundation/editoria/editoria-dashboard/compare/pubsweet-component-editoria-dashboard@0.1.2...pubsweet-component-editoria-dashboard@0.1.3) (2018-11-20)
......
{
"name": "pubsweet-component-editoria-dashboard",
"version": "0.1.3",
"version": "0.1.4",
"description": "The application dashboard for the Editoria project.",
"main": "index.js",
"scripts": {
......
......@@ -3,6 +3,17 @@
All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.
<a name="0.7.0"></a>
# [0.7.0](https://gitlab.coko.foundation/editoria/editoria/compare/pubsweet-component-wax@0.6.16...pubsweet-component-wax@0.7.0) (2018-12-19)
### Features
* upgraded substance ([466f92a](https://gitlab.coko.foundation/editoria/editoria/commit/466f92a))
<a name="0.6.16"></a>
## [0.6.16](https://gitlab.coko.foundation/editoria/editoria/compare/pubsweet-component-wax@0.6.15...pubsweet-component-wax@0.6.16) (2018-11-20)
......
{
"name": "pubsweet-component-wax",
"description": "PubSweet component for the Wax collaborative document editor",
"version": "0.6.16",
"version": "0.7.0",
"main": "index.js",
"keywords": [
"wax",
......@@ -16,7 +16,7 @@
"react-dom": "^16.2.0",
"react-redux": "5.0.4",
"redux": "3.6.0",
"wax-editor-react": "^0.2.10"
"wax-editor-react": "^0.2.11"
},
"devDependencies": {
"babel-cli": "^6.26.0",
......
......@@ -2034,7 +2034,7 @@ bonjour@^3.5.0:
multicast-dns "^6.0.1"
multicast-dns-service-types "^1.1.0"
boolbase@~1.0.0:
boolbase@1.0.0, boolbase@~1.0.0:
version "1.0.0"
resolved "https://registry.yarnpkg.com/boolbase/-/boolbase-1.0.0.tgz#68dff5fbe60c51eb37725ea9e3ed310dcc1e776e"
integrity sha1-aN/1++YMUes3cl6p4+0xDcwed24=
......@@ -3396,6 +3396,11 @@ css-what@2.1:
resolved "https://registry.yarnpkg.com/css-what/-/css-what-2.1.2.tgz#c0876d9d0480927d7d4920dcd72af3595649554d"
integrity sha512-wan8dMWQ0GUeF7DGEPVjhHemVW/vy6xUYmFzRY8RYqgA0JtXC9rJmbScBjqSu6dg9q0lwPQy6ZAmJVr3PPTvqQ==
css-what@2.1.0:
version "2.1.0"
resolved "https://registry.yarnpkg.com/css-what/-/css-what-2.1.0.tgz#9467d032c38cfaefb9f2d79501253062f87fa1bd"
integrity sha1-lGfQMsOM+u+58teVASUwYvh/ob0=
cssesc@^0.1.0:
version "0.1.0"
resolved "https://registry.yarnpkg.com/cssesc/-/cssesc-0.1.0.tgz#c814903e45623371a0477b40109aaafbeeaddbb4"
......@@ -3848,7 +3853,7 @@ domelementtype@1:
resolved "https://registry.yarnpkg.com/domelementtype/-/domelementtype-1.2.1.tgz#578558ef23befac043a1abb0db07635509393479"
integrity sha512-SQVCLFS2E7G5CRCMdn6K9bIhRj1bS6QBWZfF0TUPh4V/BbqrQ619IdSS3/izn0FZ+9l+uODzaZjb08fjOfablA==
domelementtype@^1.3.0:
domelementtype@1.3.0, domelementtype@^1.3.0:
version "1.3.0"
resolved "https://registry.yarnpkg.com/domelementtype/-/domelementtype-1.3.0.tgz#b17aed82e8ab59e52dd9c19b1756e0fc187204c2"
integrity sha1-sXrtguirWeUt2cGbF1bg/BhyBMI=
......@@ -4025,6 +4030,11 @@ enhanced-resolve@^3.3.0:
object-assign "^4.0.1"
tapable "^0.2.7"
entities@1.1.1:
version "1.1.1"
resolved "https://registry.yarnpkg.com/entities/-/entities-1.1.1.tgz#6e5c2d0a5621b5dadaecef80b90edfb5cd7772f0"
integrity sha1-blwtClYhtdra7O+AuQ7ftc13cvA=
entities@^1.1.1, entities@~1.1.1:
version "1.1.2"
resolved "https://registry.yarnpkg.com/entities/-/entities-1.1.2.tgz#bdfa735299664dfafd34529ed4f8522a275fea56"
......@@ -7256,11 +7266,6 @@ locate-path@^2.0.0:
p-locate "^2.0.0"
path-exists "^3.0.0"
lodash-es@4.13.1:
version "4.13.1"
resolved "https://registry.yarnpkg.com/lodash-es/-/lodash-es-4.13.1.tgz#3daa36f23f09ede092a6f88833ffde08f7b8593c"
integrity sha1-Pao28j8J7eCSpviIM//eCPe4WTw=
lodash-es@^4.17.10, lodash-es@^4.2.0, lodash-es@^4.2.1:
version "4.17.11"
resolved "https://registry.yarnpkg.com/lodash-es/-/lodash-es-4.17.11.tgz#145ab4a7ac5c5e52a3531fb4f310255a152b4be0"
......@@ -8300,6 +8305,13 @@ npm-which@^3.0.1:
gauge "~2.7.3"
set-blocking "~2.0.0"
nth-check@1.0.1:
version "1.0.1"
resolved "https://registry.yarnpkg.com/nth-check/-/nth-check-1.0.1.tgz#9929acdf628fc2c41098deab82ac580cf149aae4"
integrity sha1-mSms32KPwsQQmN6rgqxYDPFJquQ=
dependencies:
boolbase "~1.0.0"
nth-check@~1.0.1:
version "1.0.2"
resolved "https://registry.yarnpkg.com/nth-check/-/nth-check-1.0.2.tgz#b2bd295c37e3dd58a3bf0700376663ba4d9cf05c"
......@@ -11521,12 +11533,16 @@ stylis@^3.5.0:
resolved "https://registry.yarnpkg.com/stylis/-/stylis-3.5.4.tgz#f665f25f5e299cf3d64654ab949a57c768b73fbe"
integrity sha512-8/3pSmthWM7lsPBKv7NXkzn2Uc9W7NotcwGNpJaa3k7WMM1XDCA4MgT5k/8BIexd5ydZdboXtU90XH9Ec4Bv/Q==
substance@1.0.0-beta.6.5:
version "1.0.0-beta.6.5"
resolved "https://registry.yarnpkg.com/substance/-/substance-1.0.0-beta.6.5.tgz#0aa591d8e02445c980965c9c3eeb82479f1614ad"
integrity sha1-CqWR2OAkRcmAllycPuuCR58WFK0=
"substance@git+https://gitlab.coko.foundation/wax/substance-fork#master":
version "1.0.0-preview.75"
resolved "git+https://gitlab.coko.foundation/wax/substance-fork#07d13a1649deb83179a9052789c6f02d96d3024c"
dependencies:
lodash-es "4.13.1"
boolbase "1.0.0"
css-what "2.1.0"
domelementtype "1.3.0"
entities "1.1.1"
lodash-es "^4.17.10"
nth-check "1.0.1"
sugarss@^1.0.0:
version "1.0.1"
......@@ -12322,26 +12338,26 @@ watchpack@^1.3.1:
graceful-fs "^4.1.2"
neo-async "^2.5.0"
wax-editor-core@^0.6.9:
version "0.6.9"
resolved "https://registry.yarnpkg.com/wax-editor-core/-/wax-editor-core-0.6.9.tgz#08ea0d018c1e62a13fd02580de9fe6534aaf4f5b"
integrity sha512-VpgG03i71f6waS1nCh1Bbov2yiGioSY+mX+csf98XxBJJhEwAsDNTN2UquqWslkJJbE8DkNMB/3eel5r86502g==
wax-editor-core@^1.0.0:
version "1.0.0"
resolved "https://registry.yarnpkg.com/wax-editor-core/-/wax-editor-core-1.0.0.tgz#a570f62229f29a4b6572f57aa5572e79814ed867"
integrity sha512-dkgyFDe0lZaEX+CQpGoRZPudQKOARkkRIhVTRSd8H+4Gt2V5dfz5MZ2ExwZAuSmRMv/p7HWiYye9bVifTD0CFw==
dependencies:
codemirror "^5.38.0"
font-awesome "^4.7.0"
lodash "^4.17.4"
substance "1.0.0-beta.6.5"
substance "git+https://gitlab.coko.foundation/wax/substance-fork#master"
wax-editor-react@^0.2.10:
version "0.2.10"
resolved "https://registry.yarnpkg.com/wax-editor-react/-/wax-editor-react-0.2.10.tgz#b826c3bae002a46badaf5aa67cd52d54ce85dcd4"
integrity sha512-Csq1UCdXL5HM1jPzOLHsrQ8M5KE4ZqGZQyy0iSkSUPiZObHoExiPbLYO5WlOPz2QvmzTBwimGxeVL6A5SmmijA==
wax-editor-react@^0.2.11:
version "0.2.11"
resolved "https://registry.yarnpkg.com/wax-editor-react/-/wax-editor-react-0.2.11.tgz#3f2e92eaa271651c8cc04ee64ce18164417a9b10"
integrity sha512-tELVtdWzbJo2Yhh/bYb2d0lkZYa7DyRJLcrTQp+92VGRiQlTdZ5BYnIqYNVAUzRYcMDsudk07ALxlRm03aycSg==
dependencies:
lodash "^4.17.4"
react "^16.2.0"
react-dom "^16.2.0"
react-router-dom "^4.2.2"
wax-editor-core "^0.6.9"
wax-editor-core "^1.0.0"
wbuf@^1.1.0, wbuf@^1.7.2:
version "1.7.3"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment